Bug 1305813 - (CVE-2016-1523) CVE-2016-1523 graphite2: Heap-based buffer overflow in context item handling functionality
CVE-2016-1523 graphite2: Heap-based buffer overflow in context item handling ...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Red Hat Product Security
impact=important,public=20160205,repo...
: Security
Depends On: 1305814 1309052 1309053
Blocks: 1305678
  Show dependency treegraph
 
Reported: 2016-02-09 05:09 EST by Adam Mariš
Modified: 2016-06-01 15:20 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A vulnerability has been discovered in Graphite2. An attacker able to trick an unsuspecting user into opening specially crafted font files in an application using Graphite2 could exploit these flaws to cause the application to crash or, potentially, execute arbitrary code with the privileges of the application.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-06-01 15:20:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Adam Mariš 2016-02-09 05:09:27 EST
An exploitable heap-based buffer overflow was found in the context item handling functionality of Libgraphite. A specially crafted font can cause a buffer overflow resulting in potential code execution. An attacker can provide a malicious font to trigger this vulnerability.

External Reference:

http://www.talosintel.com/reports/TALOS-2016-0059/
Comment 1 Adam Mariš 2016-02-09 05:09:51 EST
Created graphite2 tracking bugs for this issue:

Affects: fedora-all [bug 1305814]
Comment 3 errata-xmlrpc 2016-02-16 05:41:23 EST
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 5
  Red Hat Enterprise Linux 6
  Red Hat Enterprise Linux 7

Via RHSA-2016:0197 https://rhn.redhat.com/errata/RHSA-2016-0197.html
Comment 5 errata-xmlrpc 2016-04-05 15:09:56 EDT
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0594 https://rhn.redhat.com/errata/RHSA-2016-0594.html

Note You need to log in before you can comment on or make changes to this bug.